Package owl.translations.canonical

## Class NonDeterministicConstructions.FgSafety

- java.lang.Object
- - owl.automaton.AbstractCachedStatesAutomaton<S,​A>
  - - owl.translations.canonical.NonDeterministicConstructions.FgSafety

- All Implemented Interfaces:
    `Automaton<Formula,​BuchiAcceptance>`, `EdgeTreeAutomatonMixin<Formula,​BuchiAcceptance>`
  Enclosing class:
    NonDeterministicConstructions

      public static final class NonDeterministicConstructions.FgSafety
      extends AbstractCachedStatesAutomaton<S,​A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeMapVisitor<S>, Automaton.EdgeTreeVisitor<S>, Automaton.EdgeVisitor<S>, Automaton.PreferredEdgeAccess, Automaton.Property, Automaton.Visitor<S>`

  - ### Field Summary

    - ### Fields inherited from interface owl.automaton.EdgeTreeAutomatonMixin

      `ACCESS_MODES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FgSafety​(Factories factories, Formula formula)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BuchiAcceptance` | `acceptance()` | Returns the acceptance condition of this automaton.
    `protected Edge<Formula>` | `buildEdge​(Formula successor)` |
    `Set<Edge<Formula>>` | `edges​(Formula state, BitSet valuation)` | Returns the successor edges of the specified `state` under the given `valuation`.
    `ValuationTree<Edge<Formula>>` | `edgeTree​(Formula state)` | Returns a decision-tree with nodes labelled by literals and sets of edges as leaves.
    `ValuationSetFactory` | `factory()` |
    `Set<Formula>` | `initialStates()` | Returns the set of initial states, which can potentially be empty.

    - ### Methods inherited from class owl.automaton.AbstractCachedStatesAutomaton

      `accept, accept, accept, cache, states`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, accept, accept, accept, edge, is, name, onlyInitialState, predecessors, size, states, successor, successors, successors`

    - ### Methods inherited from interface owl.automaton.EdgeTreeAutomatonMixin

      `edgeMap, edges, preferredEdgeAccess`

- - ### Constructor Detail

    - #### FgSafety

          public FgSafety​(Factories factories,
                          Formula formula)

  - ### Method Detail

    - #### acceptance

          public BuchiAcceptance acceptance()

      Description copied from interface: `Automaton`
      Returns the acceptance condition of this automaton.
      Returns:
        The acceptance.

    - #### initialStates

          public Set<Formula> initialStates()

      Description copied from interface: `Automaton`
      Returns the set of initial states, which can potentially be empty.
      Specified by:
        `initialStates` in interface `Automaton<Formula,​BuchiAcceptance>`
      Returns:
        The set of initial states.

    - #### edges

          public Set<Edge<Formula>> edges​(Formula state,
                                          BitSet valuation)

      Description copied from interface: `Automaton`
      Returns the successor edges of the specified `state` under the given `valuation`.
      Specified by:
        `edges` in interface `Automaton<Formula,​BuchiAcceptance>`
      Specified by:
        `edges` in interface `EdgeTreeAutomatonMixin<Formula,​BuchiAcceptance>`
      Parameters:
        `state` - The starting state of the transition.
        `valuation` - The valuation.
      Returns:
        The successor edges, possibly empty.

    - #### edgeTree

          public ValuationTree<Edge<Formula>> edgeTree​(Formula state)

      Description copied from interface: `Automaton`
      Returns a decision-tree with nodes labelled by literals and sets of edges as leaves.
      Specified by:
        `edgeTree` in interface `Automaton<Formula,​BuchiAcceptance>`
      Parameters:
        `state` - The state.
      Returns:
        A tree.

    - #### buildEdge

          protected Edge<Formula> buildEdge​(Formula successor)

    - #### factory

          public final ValuationSetFactory factory()

      Specified by:
        `factory` in interface `Automaton<S,​A extends OmegaAcceptance>`